This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463749 - matchpathcon -V segfaults on various files
matchpathcon -V segfaults on various files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 10:50 EDT by Milos Malik
Modified: 2010-02-03 02:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 09:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-09-24 10:50:37 EDT
Description of problem:

Version-Release number of selected component (if applicable):
libselinux-2.0.43-1.fc8

How reproducible:
always

Steps to Reproduce:
# ls -lZ /usr/sbin/racoonctl
-rwxr-xr-x  root root system_u:object_r:bin_t:s0       /usr/sbin/racoonctl
# matchpathcon -V /usr/sbin/racoonctl
Segmentation fault
# ls -lZ /usr/sbin/racoon
-rwxr-xr-x  root root system_u:object_r:racoon_exec_t:s0 /usr/sbin/racoon
# matchpathcon -V /usr/sbin/racoon
Segmentation fault
# ls -lZ /usr/sbin/matchpathcon
-rwxr-xr-x  root root system_u:object_r:bin_t:s0       /usr/sbin/matchpathcon
# matchpathcon -V /usr/sbin/matchpathcon
Segmentation fault
# 
  
Actual results:
3 segmentation faults

Expected results:
no segmentation faults

Additional info:
Comment 1 Daniel Walsh 2008-09-26 09:36:13 EDT
I don't like the idea of upgrading libselinux to a newer version.  This seems to work fine in Fedora 9, so I am closing this as fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.